package cmd

import (
	"errors"

	"scm.dairydemon.net/filifa/mlblive/cmd/internal/statsapi"
)

type TeamFlag string

func (t *TeamFlag) String() string {
	return string(*t)
}

func (t *TeamFlag) Set(v string) error {
	var err error
	_, ok := statsapi.TeamIds[v]
	if !ok {
		err = errors.New("invalid team ID")
	} else {
		*t = TeamFlag(v)
	}
	return err
}

func (t *TeamFlag) Type() string {
	return "team flag"
}
